body {
    margin: 0;
    height: 100dvh !important;
}

.body-content {
    display: flex;
    align-items: center;
    justify-content: center;
}

.side {
    width: 50%;
    height: 100dvh !important;
    background-size: cover !important;
    background-position: center !important;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 800ms;
    position: relative;
}

.side .overlay {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    opacity: .6;
    background: #fff;
    transition: 400ms;
}

.side img.logo {
    width: 350px;
    object-fit: contain;
    z-index: 2;
}

.side:hover .overlay {
    opacity: 0;
}

.body-content:hover .side:hover {
    width: 55%;
    transition: 800ms;
}

.body-content:hover .side:not(:hover) {
    width: 45%;
    transition: 800ms;
}

@media screen and (max-width: 992px) {

    .body-content {
        flex-direction: column;
    }

    .side {
        width: 100%;
        height: 50dvh !important;
    }

    .body-content:hover .side:hover {
        width: 100%;
        transition: 800ms;
    }

    .body-content:hover .side:not(:hover) {
        width: 100%;
        transition: 800ms;
    }

    .side img.logo {
        width: 250px;
    }
}